Home | All Classes | Grouped Classes | Index | Search

# CL_SpriteDescription::add_paletteclipped_frames

Adds images separated with palette-colours defining the boundaries.

    	void add_paletteclipped_frames(
    		CL_PixelBuffer provider, int xpos = 0, int ypos = 0);

Parameters:

provider
  Image source.
xpos, ypos
  Upper left position where cutting should begin.
delete_provider
  If true, deletes provider when sprite description is destroyed.

See also:

CL_PixelBuffer | CL_SpriteDescription

Questions or comments, write to the ClanLib mailing list.